/* -- $Id: AWTConverter.java,v 1.3 2003/07/11 16:41:32 kshaikh Exp $ --
 Copyright (C) 2001 Auriga Logic <http://www.aurigalogic.com>
 Author: Khurshidali Shaikh <kshaikh@aurigalogic.com>

 ============================================================================
		    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
 ============================================================================

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
package com.aurigalogic.aurigadoc.core;

/**
 * This class is used for viewing AurigaDoc document in a 
 * swing viewer.
 * 
 * @author <a href="mailto:kshaikh@aurigalogic.com">Khurshidali Shaikh</a>
 * @version $Revision: 1.3 $ $Date: 2003/07/11 16:41:32 $
 */

public class AWTConverter extends BaseConverter {

	/**
	 * Set outputFile. Output file is not required for this 
	 * converter. So if called this method will throw an exception.
	 * @param outputFile the path of the output file.
	 */
	public void setOutputFile(String outputFile) {
		throw new IllegalArgumentException("Output file is not required.");
	}


	/**
	 * Main method which does the conversion.
	 * @throws Exception in case of an error.
	 */
	public void convert() throws Exception {
		logInfo("Launching awt viewer..");
		String[] options =  new String[5];
		options[0] = "-xml";
		options[1] = inputFile;
		options[2] = "-xsl"; 
		options[3] = getXSLForKey(XSL, XML2AWT);
		// remove file:/ from the path. its not required
		options[3] = options[3].substring(5, options[3].length());
		options[4] = "-awt";
		org.apache.fop.apps.Fop.main(options);
	}

}
