<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: xml2hs.xsl,v 1.1 2003/11/06 07:03:13 kshaikh Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" indent="yes"/>

<!-- B: COMMON VARIABLES -->
<!--
*************************************************************************
Here we declare the document scope variable 
*************************************************************************
-->
<xsl:variable name="dfi" select="/document/document-formatting-info"/>

<xsl:variable name="toc" select="/document/document-body/table-of-content"/>

<xsl:variable name="dmi" select="/document/document-meta-info"/>

<xsl:variable name="nbsp">
<xsl:text> </xsl:text>
</xsl:variable>

<!-- number format for numbering sections -->
<xsl:variable name="snf">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers/@number-format">
<xsl:value-of select="$dfi/generate-section-numbers/@number-format"/>
</xsl:when>
<xsl:otherwise>1</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:variable name="generate-section-numbers">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers  = 'no'">no</xsl:when>
<xsl:otherwise>yes</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<!-- E: COMMON VARIABLES -->

<!-- document -->
<xsl:template match="document">
<helpset version="1.0">
	<title>
<xsl:value-of select="$dmi/title"/>
</title>

	<maps>
		<homeID>table_of_content</homeID>
		<mapref location="Map.jhm"/>
	</maps>

	<view>
		<name>TOC</name>
		<label image="contentIcon">
<xsl:value-of select="$dmi/title"/>
</label>
    	<type>oracle.help.navigator.tocNavigator.TOCNavigator</type>
	    <data engine="oracle.help.engine.XMLTOCEngine">jhelptoc.xml</data>
	</view>

	<view>
		<name>Search</name>
		<label image="searchIcon">Search</label>
    	<type>oracle.help.navigator.searchNavigator.SearchNavigator</type>
	    <data engine="oracle.help.engine.SearchEngine">jhelp.idx</data>
		<image>searchIcon</image>
	</view>

</helpset>
</xsl:template>
</xsl:stylesheet>
